////////////////////////////////////////////////////////
//Controller
////////////////////////////////////////////////////////
FrameworkApp.controller('Config', ['$scope', '$http', '$rootScope', '$modal', '$animate', '$timeout', function ($scope, $http, $rootScope, $modal, $animate, $timeout) {
	//Event triggred on click of menu items 
	$rootScope.loadScreen = function ($mod, $topic, $page) {
		$rootScope.checkInternet($rootScope.selectedLang);
		if (timer1)
			$timeout.cancel(timer1);
		if (navigator.onLine) {
			$rootScope.headerValue = false;
			$rootScope.footerPointValue = false;
			$rootScope.footerProgressBar = false;
			$rootScope.isPageCompleted = false;
			$("#gInstruct").hide(0);
			var flag_getTopic = $topic + 1;
			var getCstatus = $scope.gtCrseStts();

			if ((flag_getTopic == $rootScope.CourseConfig.AssessmentSection || flag_getTopic == $rootScope.CourseConfig.PreAssessmentSection) && getCstatus) {
				$rootScope.passPopup = true;
			} else {
				$rootScope.currentModule = $mod;
				$rootScope.currentTopic = $topic;
				$rootScope.currentPage = $page;
				if (($rootScope.currentTopic == $rootScope.CourseConfig.AssessmentSection - 1) || ($rootScope.currentTopic == $rootScope.CourseConfig.PreAssessmentSection - 1)) {
					// if($rootScope.CourseConfig.gamified == true){
					// 	if($rootScope.CourseConfig.gametype == 3){
					var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.assesmentQuestionIndex[$rootScope.currentPage]);
					// 	}
					// }
				}
				else
					var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
				$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$topic].name;
				//$rootScope.$state.go('course.pages', { id: page_id });	
				$rootScope.AudioAutoPlay('page', page_id);
				if (!$rootScope.CourseConfig.VisualMenu) {
					if ($('.menu').css('display') != 'none') {
						$('.menu-page-list .tree-toggler').parent().children('ul.tree').toggle(200);
						$('.menu').slideToggle(200);
						$(".resource-btn").css("pointer-events", "all");
						$(".help-btn").css("pointer-events", "all");

					}
				}


				$rootScope.updateCourseProgress();
			}
			$rootScope.isPassed[5] = true;
		}
	};

	$rootScope.accordion = function () {
		$scope.accordion.collapseAll();
	}


	$scope.GoToPages = function (m, t, p) {
		//console.log(t,p);
		$rootScope.pageStatusList[$rootScope.currentModule][$rootScope.currentTopic][$rootScope.currentPage] = "1";

		$rootScope.loadScreen((m - 1), (t - 1), (p - 1));
	}

	//Event triggered on click og NEXT button
	$scope.gotoNextPage = function () {

		$rootScope.checkInternet($rootScope.selectedLang);
	
		if (timer1)
			$timeout.cancel(timer1);
		if (navigator.onLine && !$rootScope.isNextButtonDisabled || $rootScope.CourseContent.gameFirstPage == "true") {
			$rootScope.isNextButtonDisabled = true;
			if ($rootScope.isAudio == true) {
				// $rootScope.isSoundon = true;
				$rootScope.audioFile.pause();
			}
			if (timerNext) {
				$timeout.cancel(timerNext);
				$("#gInstruct").hide(0);
			}
			if ($rootScope.CourseConfig.ForceNavigation)
				$rootScope.isNextButtonDisabled = true;

			console.log(!$rootScope.isNextButtonDisabled);
			$rootScope.isPageCompleted = false;
			$("#gInstruct").hide(0);
			if ($rootScope.CourseContent.gotoVmenuFrwd) {
				$scope.loadVisualMenu();
				return;
			}
			$rootScope.currentPage++;
			if ($rootScope.CourseContent.goNext != undefined) {
				// if($rootScope.currentTopic == )
				if ($rootScope.CourseConfig.gamified == true && $rootScope.currentTopic == $rootScope.CourseConfig.AssessmentSection - 1) {
					if ($rootScope.CourseConfig.gametype == 1 && $rootScope.currentTopic == $rootScope.CourseConfig.AssessmentSection - 1) {
						if ($rootScope.currentPage == $rootScope.CourseConfig.AvailableAssessmentQuestion + $rootScope.CourseConfig.TotalAssessmentIntroPage) {
						} else {
							var pID = $rootScope.currentPageDetails ? $rootScope.currentPageDetails.split("_") : $rootScope.CourseContent.goNext.split("_");
							$rootScope.currentModule = parseInt(pID[0]) - 1;
							$rootScope.currentTopic = parseInt(pID[1]) - 1;
							$rootScope.currentPage = parseInt(pID[2]) - 1;
						}
					}
				} else {
					var pID = $rootScope.currentPageDetails ? $rootScope.currentPageDetails.split("_") : $rootScope.CourseContent.goNext.split("_");
					$rootScope.currentModule = parseInt(pID[0]) - 1;
					$rootScope.currentTopic = parseInt(pID[1]) - 1;
					$rootScope.currentPage = parseInt(pID[2]) - 1;
				}
			} else {
				if ($rootScope.CourseContent.skipToNextPage != undefined)
					$rootScope.currentPage = $rootScope.CourseContent.skipToNextPage - 1;
				if ($rootScope.currentPage >= $rootScope.getTotalPagesInTopic()) {
					if ($rootScope.CourseConfig.VisualMenu && !$rootScope.CourseConfig.SkipVisualmenu) {
						$rootScope.currentPage = $rootScope.currentPage - 1;
						$scope.loadVisualMenu();
						return;
					} else {
						$rootScope.currentTopic++;
						$rootScope.currentPage = 0;
						if ($rootScope.currentTopic >= $scope.getTotalTopicsInModule()) {
							$rootScope.currentModule++;
							$rootScope.currentPage = 0;
							$rootScope.currentTopic = 0;

						}
					}
				}
			}
			$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].name;
			if ($rootScope.currentTopic == $rootScope.CourseConfig.PreAssessmentSection - 1 || $rootScope.currentTopic == $rootScope.CourseConfig.AssessmentSection - 1 && $rootScope.currentPage > 0)
				var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.assesmentQuestionIndex[$rootScope.currentPage]);
			else
				var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
			//$rootScope.$state.go('course.pages', { id: page_id });
			$rootScope.CourseContent = null
			$rootScope.AudioAutoPlay('page', page_id);
			if ($rootScope.pageStatusList[$rootScope.currentModule][$rootScope.currentTopic].indexOf("1") == -1)
				$rootScope.showResumeBtn = false;
			else
				$rootScope.showResumeBtn = true;
			$rootScope.updateCourseProgress();
		}
	};

	$scope.togglePlay = function () {
		//$rootScope.isAudio = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].pages[$rootScope.currentPage].isAudio;
		if ($rootScope.isAudio) {
			if ($rootScope.isPaused) {
				$rootScope.audioFile.play();
				$rootScope.isPaused = false;
			} else {
				$rootScope.audioFile.pause();
				$rootScope.isPaused = true;
			}
		} else if ($rootScope.isVideo) {
			var video_element = $('video')[0];
			if ($rootScope.isPaused) {
				video_element.play();
				$rootScope.isPaused = false;
			} else {
				video_element.pause();
				$rootScope.isPaused = true;
			}
		}
	};


	// $scope.getScore = function(){
	// 	if ($rootScope.CourseConfig.AppType.toLowerCase() == 'scorm1.2'){
	// 		var sc = Math.round(parseInt(parent.SCORM_GetScore()));
	// 		if(isNaN(sc))
	// 			return 0;
	// 		else
	// 			return parseInt(parent.SCORM_GetScore());
	// 	}else{
	// 		return $rootScope.assesmentPercentageScore;
	// 	}
	// };

	$scope.toggleSound = function () {
		//$rootScope.isAudio = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].pages[$rootScope.currentPage].isAudio;
		if ($rootScope.isAudio == "true") {
			$rootScope.isSoundon = true;
		}
		var audioELement = document.getElementById("course-audio");
		if ($rootScope.isAudio == true) {
			if ($rootScope.isSoundon) {
				audioELement.volume = 0;
				audioELement.muted = true;
				$rootScope.isSoundon = false;
			}
			else {
				audioELement.volume = 1;
				audioELement.muted = false;
				$rootScope.isSoundon = true;
			}
		} else {
			if ($('video')[0]) {
				if ($rootScope.isSoundon) {
					$("video").prop('muted', true);
					$rootScope.isSoundon = false;

				} else {
					$("video").prop('muted', false);
					$rootScope.isSoundon = true;
				}
			}
		}
		//	}
	};

	$scope.reloadAudio = function () {
		$rootScope.audioFile.pause();
		$rootScope.isAudio = true
		if ($rootScope.isAudio) {
			var audioSrc = '../course_audio/' + $rootScope.selectedLang + '/m' + $rootScope.pad($rootScope.currentModule + 1) + '/t' + $rootScope.pad($rootScope.currentTopic + 1) + '/p' + $rootScope.pad($rootScope.currentPage + 1) + '.mp3';
			$rootScope.audioFile.src = audioSrc;
			$rootScope.audioFile.load();
			$rootScope.isPaused = false;
		}
		$rootScope.reloadAllPages = true
		$rootScope.$state.go($rootScope.$state.current.name, {}, {
			reload: true
		});
		if ($rootScope.isAudio) {
			$rootScope.audioFile.play();
			$(".pause-btn").removeClass('btnDisabled').addClass('btnEnabled');
		}
	}

	//Event triggered on click of PREVIOUS button
	$scope.gotoPreviousPage = function ($event) {
		/** checking below condition because on drag/drop
		 * internally calling above function but it has to be called only  
		 * on click of previous button */
		// if ($event == undefined || $event.type != "click") {
		// 	return;
		// }
		$rootScope.checkInternet($rootScope.selectedLang);
		if (timer1)
			$timeout.cancel(timer1);
		if (navigator.onLine) {
			$rootScope.isPageCompleted = false;
			$("#gInstruct").hide(0);
			// $rootScope.isPrevButtonDisabled = true;
			if ($rootScope.CourseContent.gotoVmenuBk) {
				$scope.loadVisualMenu();
				return;
			}
			if ($rootScope.CourseContent.goPrevious != undefined) {
				var pID = $rootScope.CourseContent.goPrevious.split("_")
				$rootScope.currentModule = parseInt(pID[0]) - 1;
				$rootScope.currentTopic = parseInt(pID[1]) - 1;
				$rootScope.currentPage = parseInt(pID[2]) - 1;
			} else {
				if ($rootScope.CourseContent.skipToPrevPage != undefined)
					$rootScope.currentPage = $rootScope.CourseContent.skipToPrevPage;
				$rootScope.currentPage--;
				if ($rootScope.currentPage < 0) {
					if ($rootScope.CourseConfig.VisualMenu && !$rootScope.CourseConfig.SkipVisualmenu) {
						$rootScope.currentPage = $rootScope.currentPage + 1;
						$scope.loadVisualMenu();
						return;
					} else {
						$rootScope.currentTopic--;
						if ($rootScope.currentTopic < 0) {
							$rootScope.currentModule--;
							$rootScope.currentTopic = $rootScope.CourseMenu.module[$rootScope.currentModule].topics.length - 1;
							$rootScope.currentPage = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].pages.length - 1;
						}
						$rootScope.currentPage = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].pages.length - 1;
					}
				}
			}
			$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].name;
			var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
			//$rootScope.$state.go('course.pages', { id: page_id });	
			$rootScope.AudioAutoPlay('page', page_id);
			if ($rootScope.pageStatusList[$rootScope.currentModule][$rootScope.currentTopic].indexOf(1) == -1)
				$rootScope.showResumeBtn = false;
			else
				$rootScope.showResumeBtn = true;
		}

	};

	//Event triggered on click of menu heading module/topic button
	$rootScope.displayList = function ($event, pMod, pTopic) {

		$(".menu-page-list").mCustomScrollbar({
			axis: "y" // horizontal scrollbar
		});
		if ($($event.target).attr("data-expand") == "true" || $($event.target).attr("data-expand") != undefined) {
			$($event.target).parent().parent().find("i").removeClass('fa-arrow-down').addClass('fa-arrow-down');
			$($event.target).next('.tree').slideToggle();
			if ($rootScope.CourseConfig.MenuDepth == 2) {
				$('.menu-page-list .tree').not($($event.target).next('.tree')).slideUp();
			} else {
				//  $('.menu-page-list .tree').not($($event.target).next('.tree1')).slideUp();
			}
			// $('.menu-page-list .tree').not($($event.target).next('.tree')).slideUp();
			var cs = $($event.currentTarget).parent().find('i').attr("class");
			$($event.target).parent().parent().find("i").removeClass('fa-arrow-right');
			if (cs == 'nav-toggle-icon fa fa-arrow-down') {
				$($event.currentTarget).find('i').removeClass('fa-arrow-down').addClass('fa-arrow-right');
			}
			if (cs == 'nav-toggle-icon fa fa-arrow-right') {
				$($event.currentTarget).find('i').removeClass('fa-arrow-right').addClass('fa-arrow-down');
			}
		}
		else {
			var previousModuleOfAssmnt = $rootScope.pageStatusList.length - 2;
			var finalStatusLenght = $rootScope.pageStatusList[previousModuleOfAssmnt].length;
			// if ($rootScope.pageStatusList[previousModuleOfAssmnt][finalStatusLenght - 1] == 1) {
			$rootScope.loadScreen($event, pMod, pTopic)
			// }

		}
	};

	$scope.hideArrow = function () {
		$rootScope.hideEaseArrow = true;
	};

	$scope.gtCrseStts = function () {
		if (navigator.onLine == false) {

			return false
		}
		if ($rootScope.isPassed[0] == 1 || $rootScope.isPassed[1] == 1) {
			return true;
		}
		else {
			return false;
		}
	}

	$rootScope.hideAlertFunc = function(){
		$rootScope.checkInternet($rootScope.selectedLang);
		if(navigator.onLine){
			$rootScope.hideAlertMenu = false;
		}
	
	}

	$scope.CloseCrseStts = function () {
		if (navigator.onLine == false) {
			$rootScope.checkInternet($rootScope.selectedLang);
			return false;
		}
		$rootScope.passPopup = false;
	}
	$scope.transcript = false;
	$scope.toggleTranscript = function () {
		if ($scope.transcript)
			$scope.transcript = false;
		else
			$scope.transcript = true;
	};

	$scope.resumeCourseMenu = function () {
		$rootScope.checkInternet($rootScope.selectedLang);
		if (navigator.onLine == true) {
			$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].name;
			if ($rootScope.currentTopic + 1 == $rootScope.CourseConfig.AssessmentSection && ($rootScope.currentPage != $rootScope.CourseConfig.AvailableAssessmentQuestion + $rootScope.CourseConfig.TotalAssessmentIntroPage || $rootScope.assesmentPercentageScore < $rootScope.CourseConfig.MasteryScore)) {
				$rootScope.currentPage = 0;
				var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
			} else if ($rootScope.currentTopic + 1 == $rootScope.CourseConfig.PreAssessmentSection && $rootScope.currentPage != 0) {

				if($rootScope.isPassed[0]==0){
					$rootScope.currentTopic++;
					$rootScope.currentPage = 0;
					var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
				}else{
					var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.assesmentQuestionIndex[$rootScope.currentPage]);
					$rootScope.isResume = true;
				}
				
				
			} else if ($rootScope.currentTopic + 1 == $rootScope.CourseConfig.AssessmentSection && $rootScope.currentPage == $rootScope.CourseConfig.AvailableAssessmentQuestion + $rootScope.CourseConfig.TotalAssessmentIntroPage) {
				var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.assesmentQuestionIndex[$rootScope.currentPage]);
			} else {
				var cT = $rootScope.currentTopic;
				var cP = $rootScope.currentPage;
				var cM = $rootScope.currentModule
				if ($rootScope.pageStatusList[cM][cT][cP] == "1") {
					//console.log($rootScope.currentPage,"==========",$rootScope.pageStatusList[cT].length-1)
					var isPassed = (($rootScope.currentTopic == $rootScope.CourseConfig.AssessmentSection - 2 ||$rootScope.currentTopic == $rootScope.CourseConfig.PreAssessmentSection -1) && $rootScope.getScore >= $rootScope.CourseConfig.MasteryScore);
					if (isPassed) {
						$rootScope.showcertificate();
						return;
					}
					if ($rootScope.CourseContent.markNextScreen != "true" && $rootScope.currentPage < $rootScope.pageStatusList[cM][cT].length - 1 && $rootScope.CourseMenu.module[$rootScope.currentModule].topics[cT].pages[cP].type != 'branching') {
						if($rootScope.CourseMenu.module[$rootScope.currentModule].topics[cT].pages[cP].scenarioparentscren=='true'){
							var pID =$rootScope.CourseMenu.module[$rootScope.currentModule].topics[cT].pages[cP].goNext.split("_");
							$rootScope.currentModule = parseInt(pID[0]) - 1;
							$rootScope.currentTopic = parseInt(pID[1]) - 1;
							$rootScope.currentPage = parseInt(pID[2]) - 1;
						}else
						$rootScope.currentPage++;
					} else {
						$rootScope.currentPage = 0;
						$rootScope.currentTopic++;
					}
				}else if($rootScope.currentPage==0 && $rootScope.currentTopic==0){
					$rootScope.currentPage=0
					$rootScope.currentTopic++
				}
				var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
			}

			$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].name;
			$rootScope.AudioAutoPlay('page', page_id);
			if ($rootScope.CourseConfig.HasAudio) {
				if ($rootScope.isAudio == true) {
					$rootScope.AudioAutoPlay('page', page_id);
				}
			}
		}
	};
	$scope.checkscormStatus = function () {
		$rootScope.courseStatus = scormAdaptor_getstatus();
		if ($rootScope.courseStatus != "passed" || $rootScope.courseStatus != "failed") {
			scormAdaptor_incomplete()
			scormAdaptor_commit();
		}
	};
	$scope.scormAdaptor_getstatus = function () {
		if (scormAPIHandle != null) {
			var res = scormAPIHandle.LMSGetValue("cmi.core.lesson_status");
			fGetLastError();
			return res;
		}
	}

	// Event triggered on click of EXIT button
	$scope.closeWindow = function () {
		$rootScope.checkInternet($rootScope.selectedLang);
		$('.course-footer').css('zIndex', '0');
		$('#myModal').modal('show');
		var videoTag = $("video")[0];
		if (videoTag) {
			$("video")[0].pause();
		}

		var isMobile_1 = /Android|iPhone|BlackBerry/i.test(navigator.userAgent);
		if (isMobile_1 == true) {
			$(".modal").removeAttr("style");
  $('.modal-backdrop').css('display','none')
		}
		$('#exit').on('click', function (e) {
			$scope.checkscormStatus();
			closeWERE();
			window.close();
			top.close();
			window.self.close();
			window.top.close();
			scormAdaptor_adlOnunload();
			$('.course-footer').css('zIndex', '1030');
		});
		$('#stayThere').on('click', function (e) {
			$('#myModal').modal('hide');
			$('.course-footer').css('zIndex', '1030');
			var videoTag = $("video")[0];
			if (videoTag && !videoTag.ended &&videoTag.currentTime!=0) {
				videoTag.play();
			}
		});
	};


	// $scope.closeWindow = function () {
	// 	$rootScope.checkInternet($rootScope.selectedLang);
	// 	$('.course-footer').css('zIndex', '0');
	// 	$('#myModal').modal('show');
	// 	if ($('video')[0]) {
	// 		$('video')[0].pause()
	// 	}

	// 	//$('#myModal').modal({backdrop: false, keyboard: false})
	// 	$('#exit').on('click', function (e) {
	// 		$scope.checkscormStatus();
	// 		closeWERE();
	// 		window.close();
	// 		top.close();
	// 		window.self.close();
	// 		window.top.close();
	// 		scormAdaptor_adlOnunload();

	// 		$('.course-footer').css('zIndex', '1030');
	// 	});
	// 	$('#stayThere').on('click', function (e) {
	// 		//$rootScope.checkInternet($rootScope.selectedLang);
	// 		if ($('video')[0]) {
	// 			$('video')[0].play()
	// 		}
	// 		$('#myModal').modal('hide');
	// 		$('.course-footer').css('zIndex', '1030');
	// 	});
	// };

	$scope.pad = function (n) {
		return (n < 10) ? ("0" + n) : n;
	};

	$rootScope.getTotalPagesInTopic = function () {
		if ($rootScope.currentTopic != $rootScope.CourseConfig.PreAssessmentSection - 1) {
			return $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].pages.length;
		} else {
			return $rootScope.pageStatusList[$rootScope.currentModule][$rootScope.currentTopic].length;
		}
	};

	$scope.getTotalTopicsInModule = function () {
		return $rootScope.CourseMenu.module[$rootScope.currentModule].topics.length;
	};

	$scope.getModuleStatus = function ($moduleId) {
		var pageCount = 0;
		var totalPageCount = 0;
		for (var i = 0; i < $rootScope.pageStatusList[$moduleId].length; i++) {
			for (var j = 0; j < $rootScope.pageStatusList[$moduleId][i].length; j++) {
				totalPageCount++;
				if ($rootScope.pageStatusList[i][j] == "1") {
					pageCount++;
				}
			}
		}
		if (pageCount == totalPageCount)
			return "completed";
		if (pageCount > 0)
			return "in-progress";
		if (pageCount == 0)
			return "not-visited";
	};


	$rootScope.crntQuizStatus = function (indx) {
		if ($rootScope.asmntScoreArray[indx] == 1) {
			return "correct-ans";
		} else if ($rootScope.asmntScoreArray[indx] == 0) {
			return "incorrect-ans";
		} else {
			return "before-answer";
		}
	}

	$scope.exitBtn = function () {
		if ($rootScope.CourseConfig.UIControls.ExitButton == 1)
			return "show";
		else
			return "hide";
	};

	var passStatus = $scope.gtCrseStts();

	$scope.getTopicStatus = function ($moduleId, $topicId) {
		var status = '';
		if ($rootScope.pageStatusList[$moduleId][$topicId].indexOf("0") == -1) {
			if ($topicId == $rootScope.CourseConfig.AssessmentSection - 1 || $topicId == $rootScope.CourseConfig.PreAssessmentSection - 1) {
				if ($rootScope.getScore < 80) {
					status = "topic-completed-unsuccess";
				} else {
					if ($topicId == 0 && $rootScope.isPassed[0] == 0) {
						status = "topic-completed-unsuccess";
					} else {
						status = "topic-completed";
					}
				}
			} else {
				// if($topicId == 0 || $topicId == 9 || $topicId == 10 || $topicId==11 ){
				if ($rootScope.CourseMenu.module[$moduleId].topics[$topicId].tracking == "false") {
					status = "topic-completed";
				} else {

					if ($rootScope.unlockTopic.length == 0) {
						// status = "topic-completed-unsuccess";
						status = "topic-not-active"
					} else {
						if ($rootScope.topicPercentage($topicId - 1)) {
							status = "topic-completed";
						} else {

							if ($rootScope.pageStatusList[$moduleId][$topicId].indexOf("0") == -1) {
								status = "topic-completed";
							} else {
								if ($rootScope.pageStatusList[$moduleId][$topicId].indexOf("1") != -1) {
									status = "topic-completed-unsuccess topic-inprogress";
								} else {
									status = "topic-completed-unsuccess";
								}

							}
						}
					}
				}

			}
		}
		else if ($rootScope.pageStatusList[$moduleId][$topicId].indexOf("1") == -1) {
			if ($topicId != 0) {
				/*if($rootScope.pageStatusList[$topicId-1].indexOf("0") == -1){
					 status = "topic-not-active";
					//status = "topic-not-started";
				}
				else{
					if ($rootScope.CourseConfig.ForceNavigation)
						//status = "topic-not-started";
					status = "topic-not-active"
				}*/
				if ($rootScope.CourseMenu.module[$moduleId].topics[$topicId].tracking == "false") {
					status = "topic-not-active";
				} else {
					if ($rootScope.unlockTopic.length == 0) {
						// status = "topic-completed-unsuccess";
						status = "topic-not-active"
					} else {
						if ($rootScope.topicPercentage($topicId - 1)) {
							status = "topic-completed";
						} else {
							status = "topic-completed-unsuccess";
						}
					}
				}
			}
		} else {
			//status = "topic-in-progress";
			// status = "topic-not-active"
			if ($rootScope.CourseMenu.module[$moduleId].topics[$topicId].tracking == "false") {
				// status = "topic-completed";
				status = "topic-in-progress"
			} else {
				if ($rootScope.unlockTopic.length == 0) {
					// status = "topic-completed-unsuccess";
					status = "topic-not-active"
				} else {
					if ($rootScope.topicPercentage($topicId-1)) {
						status = "topic-completed";
					} else {
						if ($rootScope.pageStatusList[$moduleId][$topicId].indexOf("0") == -1) {
							status = "topic-completed";
						} else {
							if ($rootScope.pageStatusList[$moduleId][$topicId].indexOf("1") != -1) {
								status = "topic-in-progress";
							} else {
								status = "topic-completed-unsuccess";
							}

						}
					}
				}
			}
		}
		return status;
	};



	/* Current Page Status Logic Starts */
	$scope.getCurrentStatus = function($moduleId, $topicId){
		var status = '';
		 if ($rootScope.pageStatusList[$moduleId][$topicId].indexOf("0") == -1){
			 if ($topicId == $rootScope.CourseConfig.AssessmentSection-1){
				 if($rootScope.getScore<80){
					status = "completed-unsuccess";					
				}else{
					status = "";
				}
			 }else{
				if ($topicId==$rootScope.CourseConfig.PreAssessmentSection-1  &&($rootScope.isPassed[0] == 0 || $rootScope.isPassed[0] == 2)) {
					status = "curser-event topic-not-started";
				}else{
					status = "";
				}
				 	
			 }
		 }
		else if($rootScope.pageStatusList[$moduleId][$topicId].indexOf("1") == -1){
			if($topicId!=0 )
			{
				// if($rootScope.pageStatusList[$topicId-1].indexOf("0") == -1)
				// 	status = "topic-not-active";
				// else
				// 	if ($rootScope.CourseConfig.ForceNavigation)
				// 		status = "topic-not-started";
				if($topicId == $rootScope.CourseConfig.AssessmentSection-1){
				if($rootScope.EnableAssesment()){
					status = "topicnot-active";
					}else{
						// status = "topic-not-started";
					}
				}
			}
		}else{
			if ($topicId==$rootScope.CourseConfig.PreAssessmentSection-1  &&($rootScope.isPassed[0] == 0 || $rootScope.isPassed[0] == 2)){
				status = "curser-event topic-not-started";
			}else{
				status = "";
			}
		}

		if (!$rootScope.CourseConfig.ForceNavigation && $topicId!=$rootScope.CourseConfig.PreAssessmentSection-1 )
		{
			status=""
		}
		
		return status;
	};

	/* visual Menu Status Logic Starts */
	$scope.getVisualMenuStatus = function ($moduleId, $topicId) {
		var tStautus = "";
		if ($rootScope.pageStatusList[$moduleId][$topicId].indexOf("1") == -1) {
			if ($rootScope.CourseConfig.ForceNavigation) {
				if ($topicId != 0) {
					if ($rootScope.isPassed[0] == 0 || $rootScope.isPassed[0] == 2) {

						if ($rootScope.pageStatusList[$moduleId][$topicId].indexOf("0") != -1) {

							tStautus = "curser-event disabled-visual-menu";
						}
					}
				}
				if ($topicId == 0 && ($rootScope.vstdAbtThCrse || $rootScope.pageStatusList[$moduleId][$topicId][0].indexOf(1) == -1)) {
					tStautus = "curser-event disabled-visual-menu";
				}

			}
		}
		if ($rootScope.isPassed[0] == 0 && $topicId == 0) {
			tStautus = "curser-event disabled-visual-menu";
		}
		return tStautus;
	}
	/* visual Menu Status Logic Ends */



	$scope.getPageStatus = function ($moduleId, $topicId, $pageId) {
		if ($rootScope.pageStatusList[$moduleId][$topicId][$pageId] == "1")
			return "completed";
		else
			return "not-visited";
	};

	$rootScope.getTotalPagesCount = function () {
		var _totalPageCount = 0;
		if ($rootScope.CourseConfig.PageCount == "topicwise")
			return $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].pages.length;
		else {
			if ($rootScope.CourseConfig.MenuDepth == 2) {
				for (var j = 0; j < $rootScope.CourseMenu.module[$rootScope.currentModule].topics[i].length; j++) {
					if (!$rootScope.CourseMenu.topics[i].pages[j].branchingScreen)
						_totalPageCount++;
				}
			}
		}
	};
}]);


FrameworkApp.controller('Intro', ['$scope', '$http', '$rootScope', '$modal', '$location', function ($scope, $http, $rootScope, $modal, $location) {
	//Start the Course on click of proceed button in language select page
	$scope.startcourse = function () {
		var head = $('head')[0];
		var html = $('html')[0]
		var link = document.createElement('link')
		link.href = "Styles/" + $rootScope.selectedLang + "/framework.css";
		link.rel = "stylesheet";
		link.type = "text/css";
		head.append(link);
		$rootScope.checkInternet($rootScope.selectedLang);
		if (navigator.onLine == false) {
			return;
		}
		if ($location.path() == "/" && $rootScope.selectedLang == 'en' && $rootScope.CourseConfig.HasRole) {
			$rootScope.$state.go('role');
			return;
		}
		disableKeys();
		$rootScope.isStarted = true;
		if ($rootScope.selectedLang == undefined)
			$rootScope.selectedLang = "en";
		$rootScope.getUiAssests();



		if ($rootScope.CourseConfig.HasIntroPage && $location.path() != "role") {
			$rootScope.$state.go('intro');
			return true;
		} else {
			if ($rootScope.CourseConfig.AppType.toLowerCase() == 'scorm1.2') {
				$rootScope.getSuspendData = scormAPIHandle.LMSGetValue("cmi.suspend_data");

				if ($rootScope.getSuspendData) {
					var susData = $rootScope.getParsedSuspendData();

					if ($rootScope.isPassed[4] == "false") {
						$rootScope.getLMSData();
					} else {
						startNewCourse();
					}
				} else {
					// $rootScope.getLMSData();
					startNewCourse()
				}
			} else {
				startNewCourse();
			}
		}
	};

	function startNewCourse() {
		if ($rootScope.CourseConfig.VisualMenu && !$rootScope.CourseConfig.StartFirstTopic) {
			if ($rootScope.CourseConfig.HasPreAssessment) {
				var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
				if($rootScope.userRole=="nEmp"){
					$rootScope.AudioAutoPlay('menu', "");
				}else
				$rootScope.AudioAutoPlay('page', page_id);
				$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[0].name;
			} else {
				$rootScope.AudioAutoPlay('menu', "");
			}
		}

		else {
			//$rootScope.$state.go('course.pages', {id: page_id});
			var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
			$rootScope.AudioAutoPlay('page', page_id);
			$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[0].name;
		}
		$rootScope.isPassed[4] = false;
	}

	$scope.startComplianceCourse = function () {
		$rootScope.checkInternet($rootScope.selectedLang);
		if (navigator.onLine == false) {
			return;
		}
		window.onbeforeunload = null;
		window.location.href = "../compliance/a001index.html";
	}
	$scope.startCourseFromRole = function () {
		if ($rootScope.CourseConfig.HasIntroPage) {
			$rootScope.$state.go('intro');
		} else {
			$scope.startcourse();
		}
	}
	$scope.startcourseFromIntro = function () {
		if ($rootScope.CourseConfig.AppType.toLowerCase() == 'scorm1.2') {
			$rootScope.getLMSData();
		} else {
			var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
			if ($rootScope.CourseConfig.VisualMenu)
				$rootScope.AudioAutoPlay('menu', "");
			else {
				//$rootScope.$state.go('course.pages', {id: page_id});
				$rootScope.AudioAutoPlay('page', page_id);
				$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[0].name;
			}
		}
	};

		
	$scope.getPreviuosRole = function(){
		if ($rootScope.CourseConfig.AppType.toLowerCase() == 'scorm1.2') {
		   $rootScope.getSuspendData = scormAPIHandle.LMSGetValue("cmi.suspend_data");
			   if($rootScope.getSuspendData){
				   var tmp = $rootScope.getSuspendData.split("%");
				   if (tmp.length >= 1) 
				   tmp[1] = tmp[1].split('isPassed=');
				   $rootScope.userRole=tmp[1][1].split(',');
				   $rootScope.userRole=$rootScope.userRole[7]
			   }
		}
   }

   $scope.proceedCourse = function(){
	
	if (navigator.onLine == false) {
		$rootScope.checkInternet($rootScope.selectedLang);
		return;
	}
	$rootScope.userRole=$scope.currentRole;
	$rootScope.isCompleted=scormAdaptor_getstatus()
	if($rootScope.isCompleted!='completed' && $rootScope.isCompleted!='passed')
		$rootScope.reSetLMSData();
	else{
		// $scope.startcourse();
		$rootScope.sus_data = $rootScope.getParsedSuspendData();
		var cp_data = $rootScope.sus_data.course_progress.slice();
		var t1 = cp_data.split("|");
		var t2 = [];
		for (var i = 0; i < t1.length; i++) {
			// module
			var temp1 = [];
			var temp = t1[i].split(":");
			for (j = 0; j < temp.length; j++) {
				temp1.push(temp[j].split(","));
			}
			t2.push(temp1);
		}
		$rootScope.pageStatusList = t2.slice();

		$rootScope.loadVisualMenu();
	}

	
	$('#roleAlert').modal('hide');
	if($rootScope.isCompleted!='completed' && $rootScope.isCompleted!='passed')
	$scope.startcourse();
	$('.modal-backdrop').hide();
}

	$scope.setUserRole = function (role){
		if (navigator.onLine == false) {
			$rootScope.checkInternet($rootScope.selectedLang);
			return false;
		}
		if(role=="eEmp"){
			$scope.role1Selected=true;
			$scope.role2Selected=false;

		}else if(role=="nEmp"){
			$scope.role1Selected=false;
			$scope.role2Selected=true;
		}
		$scope.startBtnEnable=true;
		$scope.userCurentRole=role;
		$scope.starCourseByRole(role);
    };
	$scope.starCourseByRole = function (role){
		$scope.currentRole=role;
		if ($rootScope.CourseConfig.AppType.toLowerCase() == 'scorm1.2')
		$rootScope.isCompleted =scormAdaptor_getstatus();
	
		$scope.getPreviuosRole();
		
		if($rootScope.userRole!=role && $rootScope.userRole!=""){
			$('#roleAlert').modal('show');
		}
		else{
			$rootScope.userRole=role;

			$scope.startcourse();
		}
    };


	$rootScope.getLMSData = function () {
		var fullname = scormAdaptor_getstudentname();
		var nameArray = fullname.split(',')
		// $rootScope.ScormnUsername = parent.SCORM_GetStudentName();
		// $rootScope.ScormnUseScore = parent.SCORM_GetScore();
		// if (nameArray[1] != undefined) {
		// 	$rootScope.userName = nameArray[1].trim();
		// } else {
		// 	$rootScope.userName = nameArray[0].trim();
		// }
		var fullname = scormAdaptor_getstudentname();
		var nameArray = fullname.split(',')
		$rootScope.userName = nameArray[1];
		$rootScope.lessonLocation = scormAPIHandle.LMSGetValue("cmi.core.lesson_location");
		$rootScope.getSuspendData = scormAPIHandle.LMSGetValue("cmi.suspend_data");

		if ($rootScope.lessonLocation != "")
			$rootScope.checkForCourseResume();
		else {
			$rootScope.dontResumeCourse(true);
		}
	};

	$rootScope.checkForCourseResume = function () {
		$rootScope.resumeLastPage = false;
		if ($rootScope.lessonLocation == undefined || $rootScope.lessonLocation == '' || $rootScope.lessonLocation == "null" || $rootScope.lessonLocation == "403" || $rootScope.lessonLocation.length > 10) {
			var page_id = $rootScope.pad($rootScope.currentModule + 1) + '_' + $rootScope.pad($rootScope.currentTopic + 1) + '_' + $rootScope.pad($rootScope.currentPage + 1);
			if ($rootScope.CourseConfig.VisualMenu)
				$rootScope.loadVisualMenu();
			else
				$rootScope.AudioAutoPlay('page', page_id);
			//$rootScope.$state.go('course.pages', { id: page_id });
			$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[0].name;
		} else {
			$rootScope.sus_data = $rootScope.getParsedSuspendData();
			var cp_data = $rootScope.sus_data.course_progress.slice();
			var t1 = cp_data.split("|");
			var t2 = [];
			for (var i = 0; i < t1.length; i++) {
				// module
				var temp1 = [];
				var temp = t1[i].split(":");
				for (j = 0; j < temp.length; j++) {
					temp1.push(temp[j].split(","));
				}
				t2.push(temp1);
			}
			$rootScope.pageStatusList = t2.slice();
			// if ($rootScope.CourseConfig.MenuDepth == 2) {
			if (true) {
				$rootScope.currentModule = Number($rootScope.lessonLocation.split('|')[0]) - 1;
				$rootScope.currentTopic = Number($rootScope.lessonLocation.split('|')[1]) - 1;
				if (Number($rootScope.lessonLocation.split('|')[1]) - 1 == $rootScope.CourseConfig.AssessmentSection - 1) {
					var cP = Number($rootScope.lessonLocation.split('|')[2]) - 1;
					var score = (parseInt($rootScope.isPassed[2]) / $rootScope.CourseConfig.AvailableAssessmentQuestion) * 100;
					var AQ = 0
					if ($rootScope.CourseConfig.gametype == 4) {
						if ($rootScope.isPassed[1] == 1) {
							if (cP != $rootScope.CourseConfig.AvailableAssessmentQuestion + $rootScope.CourseConfig.TotalAssessmentIntroPage) {
								cP++
							}
						}
					}
					if (cP == $rootScope.CourseConfig.AvailableAssessmentQuestion + $rootScope.CourseConfig.TotalAssessmentIntroPage && $rootScope.isPassed[1] == 1) {
						$rootScope.currentPage = cP;
						$rootScope.resumeLastPage = true;
					} else {
						// $rootScope.currentPage = 0;
						$rootScope.currentPage = $rootScope.CourseConfig.TotalAssessmentIntroPage - 1
					}
				} else {
					$rootScope.currentPage = Number($rootScope.lessonLocation.split('|')[2]) - 1;
				}

			} else {
				$rootScope.currentModule = Number($rootScope.lessonLocation.split('|')[0]) - 1;
				$rootScope.currentTopic = Number($rootScope.lessonLocation.split('|')[1]) - 1;
				if (Number($rootScope.lessonLocation.split('|')[1]) - 1 == $rootScope.CourseConfig.AssessmentSection - 1) {
					$rootScope.currentPage = 0;
				} else {
					$rootScope.currentPage = Number($rootScope.lessonLocation.split('|')[2]) - 1;
				}
			}
			$rootScope.showResumePopup();
		}
	};

	$rootScope.showResumePopup = function () {
		$('#course_popup').modal('show');
	};


	$rootScope.resumeCourse = function () {
		$rootScope.checkInternet($rootScope.selectedLang);
		if (navigator.onLine == false) {
			return;
		}
		$('#course_popup').modal('hide');
		$rootScope.createaAssesment();
		if ($scope.pad($rootScope.currentTopic + 1) == $rootScope.CourseConfig.PreAssessmentSection && $rootScope.currentPage == $rootScope.CourseConfig.AvailablePreQuestions + 1 && $rootScope.isPassed[0] == 1) {
			$('#course_popup').on('hidden.bs.modal', function (e) {
				$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].name;
				var page_id = $rootScope.pad($rootScope.currentModule + 1) + '_' + $rootScope.pad($rootScope.currentTopic + 1) + '_' + $rootScope.pad($rootScope.assesmentQuestionIndex[$rootScope.currentPage]);
				$rootScope.resumePreAssesment = true;
				//$rootScope.$state.go('course.pages', { id: page_id });
				$rootScope.AudioAutoPlay('page', page_id);
			});
		} else if ($rootScope.currentTopic + 1 == $rootScope.CourseConfig.PreAssessmentSection && $rootScope.currentPage != 0) {
			$('#course_popup').on('hidden.bs.modal', function (e) {
				if  (Number($rootScope.isPassed[6]) >= $rootScope.CourseConfig.maxtotalNuberofQuestionAttempt) {

					for(var i=0;i<$rootScope.pageStatusList[$rootScope.currentModule][$rootScope.currentTopic].length;i++){
						$rootScope.pageStatusList[$rootScope.currentModule][$rootScope.currentTopic][i]="1"
					}
					$rootScope.currentTopic++
					// $rootScope.AudioAutoPlay('menu', "");
					// return
				}

				$rootScope.currentPage = 0;
				$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].name;
				var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
				$rootScope.AudioAutoPlay('page', page_id);
			})
		} else {
			$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[$rootScope.currentTopic].name;
			$('#course_popup').on('hidden.bs.modal', function (e) {
				if ($rootScope.resumeLastPage)
					var page_id = $rootScope.pad($rootScope.currentModule + 1) + '_' + $rootScope.pad($rootScope.currentTopic + 1) + '_' + $rootScope.pad($rootScope.assesmentQuestionIndex[$rootScope.currentPage]);
				else
					var page_id = $rootScope.pad($rootScope.currentModule + 1) + '_' + $rootScope.pad($rootScope.currentTopic + 1) + '_' + $rootScope.pad($rootScope.currentPage + 1);
				//$rootScope.$state.go('course.pages', { id: page_id });
				$rootScope.AudioAutoPlay('page', page_id);
			});

		}
		// plAudio();
	};

	$rootScope.dontResumeCourse = function (start) {
		$rootScope.checkInternet($rootScope.selectedLang);
		if (navigator.onLine) {
			$('#course_popup').modal('hide');
			$rootScope.currentModule = 0;
			$rootScope.currentTopic = 0;
			$rootScope.currentPage = 0;
			$('#course_popup').on('hidden.bs.modal', function (e) {

				if ($rootScope.CourseConfig.VisualMenu && !$rootScope.CourseConfig.StartFirstTopic) {

					if ($rootScope.CourseConfig.HasPreAssessment) {
						if ($rootScope.isPassed[0] !=2 ||$rootScope.isPassed[1] !=2) {
							if  (Number($rootScope.isPassed[6]) >= $rootScope.CourseConfig.maxtotalNuberofQuestionAttempt) {

								for(var i=0;i<$rootScope.pageStatusList[$rootScope.currentModule][$rootScope.currentTopic].length;i++){
									$rootScope.pageStatusList[$rootScope.currentModule][$rootScope.currentTopic][i]="1"
								}
								//$rootScope.currentTopic++
							}
							$rootScope.AudioAutoPlay('menu', "");
							$rootScope.showResumeBtn = false;
						} else {
							if($rootScope.userRole=="nEmp"){
								$rootScope.AudioAutoPlay('menu', "");
								return
							}else{
								var page_id = $scope.pad($rootScope.currentModule + 1) + '_' + $scope.pad($rootScope.currentTopic + 1) + '_' + $scope.pad($rootScope.currentPage + 1);
							}

							$rootScope.AudioAutoPlay('page', page_id);
							$rootScope.topicTitle = $rootScope.CourseMenu.module[$rootScope.currentModule].topics[0].name;
						}

					} else {
						$rootScope.loadVisualMenu();
						$rootScope.showResumeBtn = false;
					}
					//plAudio();
					//$rootScope.$state.go('course.pages', {id: page_id});
				}else {

					var page_id = $rootScope.pad($rootScope.currentModule + 1) + '_' + $rootScope.pad($rootScope.currentTopic + 1) + '_' + $rootScope.pad($rootScope.currentPage + 1);
					$rootScope.AudioAutoPlay('page', page_id);
				}
			});
			if (start) {
				/* var page_id = $rootScope.pad($rootScope.currentModule + 1) + '_' + $rootScope.pad($rootScope.currentTopic + 1) + '_' + $rootScope.pad($rootScope.currentPage + 1);
				$rootScope.loadPage(page_id) */
				if ($rootScope.CourseConfig.VisualMenu) {
					$rootScope.loadVisualMenu();
					$rootScope.showResumeBtn = false;
				}
				//$rootScope.$state.go('course.pages', {id: page_id});
			}
		}

	};
	$rootScope.getParsedSuspendData = function () {
		if ($rootScope.getSuspendData != undefined) {
			var tmp = $rootScope.getSuspendData.split("%");
			if (tmp.length > 1) tmp1 = tmp[1].split('isPassed=');
			else tmp = tmp[0].split('%isPassed=');
			if (tmp1.length >= 1) {
				$rootScope.isPassed = tmp1[1].split(',');
				// var jsonStr = tmp[1].split(',').slice(6, tmp[1].split(',').length);
				// var userData = jsonStr.join(",");
				// $rootScope.isPassed[6] = userData;
				//$rootScope.isPassed = tmp[1].split(',');
			}

			
			if (tmp[2] != undefined) {
				tmp[2] = tmp[2].split('topicUnlockProgress=')[1]
				if (tmp[2].length == 0) {
					$rootScope.unlockTopic = [];
				} else {
					$rootScope.unlockTopic_SusData = tmp[2].split("|");
					$rootScope.unlockTopic = []
					for (var unlockSusData = 0; unlockSusData < $rootScope.unlockTopic_SusData.length; unlockSusData += 1) {
						if ($rootScope.unlockTopic_SusData[unlockSusData].length == 1) {
							if ($rootScope.unlockTopic[unlockSusData] == undefined) {
								$rootScope.unlockTopic[unlockSusData] = [];
							}
							$rootScope.unlockTopic[unlockSusData].push($rootScope.unlockTopic_SusData[unlockSusData])
						} else {
							$rootScope.unlockTopic[unlockSusData] = $rootScope.unlockTopic_SusData[unlockSusData].split(',')
						}
					}
				}

				if ($rootScope.getScore >= $rootScope.CourseConfig.MasteryScore) {
					$rootScope.unlockTopic_ref_passed = angular.copy($rootScope.unlockTopic);

				}
				$rootScope.unlockTopic_ref = angular.copy($rootScope.unlockTopic);
			}

			$rootScope.assesmentScore = $rootScope.isPassed[2]
			$rootScope.getScore = scormAdaptor_getscore();
			tmp = tmp[0].split("=");
			var suspendData = {};
			suspendData[tmp[0]] = tmp[1];
			return (suspendData);
		}
	};
}]);
